Les RESSOURCES

  • Utiliser Ruby On Rails le plus rapidement possible

    Pour commencer avec Rails, il suffit d'installer Ruby et RubyGems.
  • Installer Ruby

    Nous recommandons l'utilisation de Ruby 2.1.3 avec Rails 4.1.6. Rails 3.2.19 est la dernière version à supporter Ruby 1.9.3 ou antérieurs.

    Installer RubyGems

    RubyGems est le gestionnaire de paquet standard de Ruby. Il peut-être comparé à apt-get, emerge et d'autres gestionnaires de paquets. Pour le télécharger, cliquez ici

    Installer Rails

    Une fois RubyGems installé et fonctionnel, vous pouvez installer Rails et ses dépendances par la ligne commande suivante :

    gem install rails

    Les nouvelles versions de rails s'installent de la même façon.

    Votre première application

    Créez votre première application et démarrez un serveur :

    rails new /chemin/vers/mon/application
    cd /chemin/vers/mon/application
    rails server

    Vous avez créé votre première application Rails ! Pour continuer, suivez les instructions présentes à http://localhost:3000

Vous avez envie d'ajouter du contenu ? Vous avez trouvé une erreur ? Merci d'ouvrir un ticket sur github !